CREATE TABLE inv_rfid_event_actions (
    EVENT_ACTION_ID          NUMBER(18, 0) ,
    OBJECT_TYPE              VARCHAR2(120)     NOT NULL,
    LPN_ID                   NUMBER(18, 0) ,
    EVENT_ID                 NUMBER(18, 0)     NOT NULL,
    TRANSACTION_REF_ID       NUMBER(18, 0) ,
    TAG_CODE                 VARCHAR2(256)     NOT NULL,
    ACTION_TYPE_CODE         VARCHAR2(120)     NOT NULL,
    PROCESS_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    PROCESS_RESPONSE         CLOB          ,
    ERROR_MESSAGE            VARCHAR2(4000),
    PROCESS_STATUS_CODE      VARCHAR2(120)     NOT NULL,
    DEVICE_ID                NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID        NUMBER(18, 0) ,
    ORGANIZATION_ID          NUMBER(18, 0) ,
    EVENT_KEY                VARCHAR2(960) ,
    EVENT_TIME               TIMESTAMP(6)  ,
    PROCESS_START_TIME       TIMESTAMP(6)  ,
    PROCESS_END_TIME         TIMESTAMP(6)  ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE_CHAR1          VARCHAR2(600) ,
    ATTRIBUTE_CHAR2          VARCHAR2(600) ,
    ATTRIBUTE_CHAR3          VARCHAR2(600) ,
    ATTRIBUTE_CHAR4          VARCHAR2(600) ,
    ATTRIBUTE_CHAR5          VARCHAR2(600) ,
    ATTRIBUTE_CHAR6          VARCHAR2(600) ,
    ATTRIBUTE_CHAR7          VARCHAR2(600) ,
    ATTRIBUTE_CHAR8          VARCHAR2(600) ,
    ATTRIBUTE_CHAR9          VARCHAR2(600) ,
    ATTRIBUTE_CHAR10         VARCHAR2(600) ,
    ATTRIBUTE_CHAR11         VARCHAR2(600) ,
    ATTRIBUTE_CHAR12         VARCHAR2(600) ,
    ATTRIBUTE_CHAR13         VARCHAR2(600) ,
    ATTRIBUTE_CHAR14         VARCHAR2(600) ,
    ATTRIBUTE_CHAR15         VARCHAR2(600) ,
    ATTRIBUTE_CHAR16         VARCHAR2(600) ,
    ATTRIBUTE_CHAR17         VARCHAR2(600) ,
    ATTRIBUTE_CHAR18         VARCHAR2(600) ,
    ATTRIBUTE_CHAR19         VARCHAR2(600) ,
    ATTRIBUTE_CHAR20         VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1        NUMBER        ,
    ATTRIBUTE_NUMBER2        NUMBER        ,
    ATTRIBUTE_NUMBER3        NUMBER        ,
    ATTRIBUTE_NUMBER4        NUMBER        ,
    ATTRIBUTE_NUMBER5        NUMBER        ,
    ATTRIBUTE_NUMBER6        NUMBER        ,
    ATTRIBUTE_NUMBER7        NUMBER        ,
    ATTRIBUTE_NUMBER8        NUMBER        ,
    ATTRIBUTE_NUMBER9        NUMBER        ,
    ATTRIBUTE_NUMBER10       NUMBER        ,
    ATTRIBUTE_DATE1          DATE          ,
    ATTRIBUTE_DATE2          DATE          ,
    ATTRIBUTE_DATE3          DATE          ,
    ATTRIBUTE_DATE4          DATE          ,
    ATTRIBUTE_DATE5          DATE          ,
    ATTRIBUTE_TIMESTAMP1     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5     TIMESTAMP(6)  ,
    EVENT_ACTION_ID          NUMBER(18, 0) ,
    EVENT_ID                 NUMBER(18, 0)     NOT NULL,
    TAG_CODE                 VARCHAR2(256)     NOT NULL,
    ACTION_TYPE_CODE         VARCHAR2(120)     NOT NULL,
    PROCESS_TYPE_CODE        VARCHAR2(120)     NOT NULL,
    PROCESS_RESPONSE         CLOB          ,
    ERROR_MESSAGE            VARCHAR2(4000),
    PROCESS_STATUS_CODE      VARCHAR2(120)     NOT NULL,
    DEVICE_ID                NUMBER(18, 0)     NOT NULL,
    INVENTORY_ITEM_ID        NUMBER(18, 0) ,
    ORGANIZATION_ID          NUMBER(18, 0) ,
    EVENT_KEY                VARCHAR2(960) ,
    EVENT_TIME               TIMESTAMP(6)  ,
    PROCESS_START_TIME       TIMESTAMP(6)  ,
    PROCESS_END_TIME         TIMESTAMP(6)  ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE_CHAR1          VARCHAR2(600) ,
    ATTRIBUTE_CHAR2          VARCHAR2(600) ,
    ATTRIBUTE_CHAR3          VARCHAR2(600) ,
    ATTRIBUTE_CHAR4          VARCHAR2(600) ,
    ATTRIBUTE_CHAR5          VARCHAR2(600) ,
    ATTRIBUTE_CHAR6          VARCHAR2(600) ,
    ATTRIBUTE_CHAR7          VARCHAR2(600) ,
    ATTRIBUTE_CHAR8          VARCHAR2(600) ,
    ATTRIBUTE_CHAR9          VARCHAR2(600) ,
    ATTRIBUTE_CHAR10         VARCHAR2(600) ,
    ATTRIBUTE_CHAR11         VARCHAR2(600) ,
    ATTRIBUTE_CHAR12         VARCHAR2(600) ,
    ATTRIBUTE_CHAR13         VARCHAR2(600) ,
    ATTRIBUTE_CHAR14         VARCHAR2(600) ,
    ATTRIBUTE_CHAR15         VARCHAR2(600) ,
    ATTRIBUTE_CHAR16         VARCHAR2(600) ,
    ATTRIBUTE_CHAR17         VARCHAR2(600) ,
    ATTRIBUTE_CHAR18         VARCHAR2(600) ,
    ATTRIBUTE_CHAR19         VARCHAR2(600) ,
    ATTRIBUTE_CHAR20         VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1        NUMBER        ,
    ATTRIBUTE_NUMBER2        NUMBER        ,
    ATTRIBUTE_NUMBER3        NUMBER        ,
    ATTRIBUTE_NUMBER4        NUMBER        ,
    ATTRIBUTE_NUMBER5        NUMBER        ,
    ATTRIBUTE_NUMBER6        NUMBER        ,
    ATTRIBUTE_NUMBER7        NUMBER        ,
    ATTRIBUTE_NUMBER8        NUMBER        ,
    ATTRIBUTE_NUMBER9        NUMBER        ,
    ATTRIBUTE_NUMBER10       NUMBER        ,
    ATTRIBUTE_DATE1          DATE          ,
    ATTRIBUTE_DATE2          DATE          ,
    ATTRIBUTE_DATE3          DATE          ,
    ATTRIBUTE_DATE4          DATE          ,
    ATTRIBUTE_DATE5          DATE          ,
    ATTRIBUTE_TIMESTAMP1     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4     TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5     TIMESTAMP(6)  ,
    OBJECT_TYPE              VARCHAR2(120)     NOT NULL,
    LPN_ID                   NUMBER(18, 0) ,
    TRANSACTION_REF_ID       NUMBER(18, 0) ,
    CONSTRAINT pk_inv_rfid_event_actions PRIMARY KEY (EVENT_ACTION_ID, EVENT_ACTION_ID)
);
